#pragma once
/*****
 *
 *	AEFunc.h
 *
 *	This is a support file for "Grant's CGI Framework".
 *	Please see the license agreement that accompanies the distribution package
 *	for licensing details.
 *
 *	Copyright 1995,1996 by Grant Neufeld
 *	grant@acm.com
 *	http://arpp.carleton.ca/grant/
 *
 *****/

/***  CONSTANTS  ***/

#define kAEMyTimeoutInTicks		((60*60/*1minute*/) * 3/*minutes*/)


/***  FUNCTION PROTOTYPES  ***/

		OSErr	AEFuncGotRequiredParams	( AppleEvent * );

pascal Boolean	AEFuncAEIdleFunc		( const EventRecord *, long *, RgnHandle * );

		OSErr	AEGetParamString		( const AppleEvent *, AEKeyword, char **, char *, long );
		OSErr	AEGetParamStringNoAlloc	( const AppleEvent *, AEKeyword, char *, long );
		OSErr	AEGetParamShort			( const AppleEvent *, AEKeyword, short *, char *, long );
		OSErr	AEGetParamLong			( const AppleEvent *, AEKeyword, long * );


#if !(kCompileWithout_MY_Names)
#define MyGotRequiredParams	AEFuncGotRequiredParams
#define MyAEIdleFunc		AEFuncAEIdleFunc
#endif


/***** EOF *****/
